# this file must be UTF-8 encoded
######################################################################
#
# Malayalam Language text and icon macros, translated from English.dm on
# 31st of January, 2007 by Mr. Sanjo Jose, Information and Knowledge Management 
# Course  Trainee (2007-2008), National Centre for Science Information, Indian Institute of 
# Science, Bangalore 560 012, Karnataka, India.) under the guidance of 
# Ms.Anuradha.K.T., Senior Technical Officer, National Centre for Science Information, 
# Indian Institute of Science, Bangalore 560 012, Karnataka, India.
# ഗ്രീന്സ്റ്റോണ് ഡിജിറ്റല് ലൈബ്രറി സോഫ്റ്റ്വേറിന്‍റെഈ തര്‍ജ്ജമ 
# നിര്‍വഹിച്ചിരിക്കുന്നത് 
# സാന്‍ജോ ജോസ്.2006-ല്‍ കേരള സര്‍വ്വകലാശാലയില്‍നിന്ന്  ലൈബ്രറി 
# ആന്‍റ്  
#
#######################################################################

#######################################################################
# Global (base) package
package Global
######################################################################

#------------------------------------------------------------
# text macros
#------------------------------------------------------------

_textperiodicals_ [l=ml] {ആനുകാലികങ്ങള്‍}  

# these three used by the default format statement of the demo and dls collections.








_textdefaulttitle_ [l=ml] {ഗ്രീന്‍സ്റ്റോണ്‍ ഡിജിറ്റല്‍ ലൈബ്രറി സോഫ്റ്റവേര്‍ എറര്‍}

_textbadcollection_ [l=ml] {"_cvariable_' എന്ന ശേഖരം ഈ ഗ്രീന്‍സ്‌റ്റോണ്‍ സംവിധാനത്തില്‍ ഇല്ല}  



_collectionextra_ [l=ml] {ഇ ശേഖരം............. പ്രമാണങ്ങള്‍ ഉള്‍ക്കൊള്ളുന്നു. അത്‌ അവസാനമായി........... ദിവസങ്ങള്‍ക്കു മുന്‍പു നിര്‍മ്മിച്ചതാണ്‌ }  

# this is only used by the collector (where the above _collectionextra_
# macro will always be set to another value)


_textdescrcollection_ [l=ml] {}

_textdescrhome_ [l=ml] {ഹോം പേജ്}
_textdescrhelp_ [l=ml] {വഴികാട്ടി}
_textdescrpref_ [l=ml] {പ്രിഫറന്‍സ്}
_textdescrgreenstone_ [l=ml] {ഗ്രീന്‍സ്റ്റോണ്‍ ഡിജിറ്റല്‍ ലൈബ്രറി സോഫ്റ്റവേര്‍}



# Metadata names and navigation bar labels


_labelSearch_ [l=ml] {തെരയുക}

# Dublin Core Metadata Element Set, Version 1.1

_labelTitle_ [l=ml] {ശീര്‍ഷകപ്രകാരമുള്ള അകരാദിക്രമം}
_textCreator_ [l=ml] {രചയിതാവ്‌}  
_labelCreator_ [l=ml] {കര്‍തൃപ്രകാരമുള്ള അകരാദിക്രമം}

_labelSubject_ [l=ml] {വിഷയപ്രകാരമുള്ള അകരാദിക്രമം}




_textContributor_ [l=ml] {സംഭാവനചെയ്‌തയാള്‍}  

_textDate_ [l=ml] {തീയ്യതി}  
_labelDate_ [l=ml] {തീയതി}



_labelFormat_ [l=ml] {രൂപഘടനകള്‍}  






_textRelation_ [l=ml] {ബന്ധം}  


_labelCoverage_ [l=ml] {വ്യാപ്‌തി}  



# DLS metadata set
_textOrganization_ [l=ml] {സംഘടന}
_labelOrganization_ [l=ml] {സ്ഥാപനങ്ങള്‍}  


_textHowto_ [l=ml] {എങ്ങനെ }
_labelHowto_ [l=ml] {എങ്ങനെ }

# Miscellaneous Greenstone metadata

_labelPhrase_ [l=ml] {പദസമുച്ചയം}  



_labelBrowse_ [l=ml] {ബ്രൗസ്‌ ചെയ്യുക}  





_labelAcronym_ [l=ml] {ചുരുക്കെഴുത്ത്‌}  

# Navigation bar tooltip - to customize this for a specific metadata, add a macro named _textdescrXXX_ where XXX is the metadata name






_textdescrTo_ [l=ml] {ഫീല്‍ഡുപ്രകാരം ബ്രൗസുചെയ്യുക}  

_textdescrCollage_ [l=ml] {കൊളാഷ്‌ അടിസ്ഥാനമാക്കിയുള്ള തിരച്ചില്‍}  


_textdescrHowto_ [l=ml] {എങ്ങനെ ഈ  ശേഖരം ബ്രൗസ് ചെയ്യാം}
_textdescrBrowse_ [l=ml] {ബ്രൗസ് ചെയ്യുക}
_texticontext_ [l=ml] {രേഖ കാണുക}
_texticonclosedbook_ [l=ml] {രേഖ തുറന്നു കാണുക}
_texticonnext_ [l=ml] {അടുത്തത്}
_texticonprev_ [l=ml] {മുമ്പിലത്തേത്}










_texticonxls_ [l=ml] {മൈക്രോസോഫ്‌റ്റ്‌ എക്‌സല്‍ പ്രമാണം കാണുക}  

_page_ [l=ml] {പേജ്}
_pages_ [l=ml] {പേജുകള്‍}
_of_ [l=ml] {ന്‍റെ}
_vol_ [l=ml] {വാളൃം}
_num_ [l=ml] {ലക്കം}

_textmonth00_ [l=ml] {}
_textmonth01_ [l=ml] {ജനുവരി}
_textmonth02_ [l=ml] {ഫെബ്രുവരി}
_textmonth03_ [l=ml] {മാര്‍ച്ച്}
_textmonth04_ [l=ml] {ഏപ്രില്‍}
_textmonth05_ [l=ml] {മേയ്‌}  
_textmonth06_ [l=ml] {ജൂണ്‍}
_textmonth07_ [l=ml] {ജൂലൈ}
_textmonth08_ [l=ml] {ആഗസ്റ്റ്}
_textmonth09_ [l=ml] {സെപ്റ്റമ്പര്‍}
_textmonth10_ [l=ml] {ഒക്റ്റോബര്‍}
_textmonth11_ [l=ml] {നവമ്പര്‍}
_textmonth12_ [l=ml] {ഡിസമ്പര്‍}

_textdocument_ [l=ml] {രേഖ}
_textsection_ [l=ml] {ഭാഗം }
_textparagraph_ [l=ml] {ഖണ്ഡിക }

_magazines_ [l=ml] {മാഗസീനുകള്‍}  

_nzdlpagefooter_ [l=ml] {<div class="divbar">&nbsp;</div>
<p><a href="http://www.nzdl.org">നൃൂസീലന്‍റ്  ഡിജിറ്റല്‍ ലൈബ്രറി പ്രോജക്റ്റ്</a>
<br><a href="http://www.cs.waikato.ac.nz"> ഡിപ്പാര്‍ട്ട്മെന്‍റ്   ഓഫ്  കമ്പൃൂട്ടര്‍ സയന്‍സ്
</a>, <a href="http://www.waikato.ac.nz"> യൂണിവേഴ്സിറ്റി ഓഫ്  വൈകാറ്റോ
</a>, നൃൂസീലന്‍റ്}

_linktextHOME_ [l=ml] {ഹോം പേജ്‌}  
_linktextHELP_ [l=ml] {വഴികാട്ടി}
_linktextPREFERENCES_ [l=ml] {പ്രിഫറന്‍സ് }


######################################################################
# 'home' page
package home
######################################################################



_textnocollections_ [l=ml] {ഒരു ശേഖരവും ലഭ്യമല്ല}  





_textdescradmin_ [l=ml] {പുതിയ ഉപയോക്താവിനെ ഉള്‍പ്പെടുത്താന്‍ അനുവദിക്കുന്നു, ശേഖരങ്ങളുടെ സംക്ഷിപ്‌തവിവരങ്ങളും നല്‌കുന്നു. ഗ്രീന്‍സ്റ്റോണ്‍ ഇന്‍സ്‌റ്റാളേഷന്റെ സാങ്കേതിക കാര്യങ്ങളും നല്‌കുന്നു.}  

_textdescrgogreenstone_ [l=ml] {ഗ്രീന്‍സ്റ്റോണ്‍ പ്രജക്ടും ന്യൂസിലാന്റ്‌ ഡിജിറ്റല്‍ ലൈബ്രറി പ്രൊജക്ടും എവിടെ നിന്നു തുടക്കം കുറിച്ചുവെന്നു പറയുന്ന}  

_textdescrgodocs_ [l=ml] {ഗ്രീന്‍സ്‌റ്റോണ്‍ കൈപ്പുസ്‌തകങ്ങള്‍}  

#####################################################################
# some macros used on the home page from other packages
#####################################################################
package gli




package collector

_textcollector_ [l=ml] {കളക്ടര്‍}  
_textdescrcollector_ [l=ml] {ഇതു ലൈബ്രേറിയന്‍ ഇന്റര്‍ഫെയിസിനുമുന്‍പുള്ളതാണ്‌. പകരമായി ലൈബ്രേറിയന്‍ ഇന്റര്‍ഫെയ്‌സ്‌ ഉപയോഗിക്കുക}  

package depositor


_textdescrdepositor_ [l=ml] {ശേഖരങ്ങളില്‍ ഗ്രന്ഥങ്ങള്‍ ചേര്‍ക്കാന്‍ സഹായിക്കുന്നു}  

package gti





######################################################################
# 'about' page
package about
######################################################################


#------------------------------------------------------------
# text macros
#------------------------------------------------------------

_textabcol_ [l=ml] {ഈ  ശേഖരത്തെ കുറിച്ച്}

_textsubcols1_ [l=ml] {ഈ  ശേഖരത്തി ല്‍
 _1_ ഉപശേഖരം ഉള്‍
ക്കൊള്ളുന്നു:
<blockquote>}  

_textsubcols2_ [l=ml] {</blockquote>ഈ ശേഖരത്തിലെ ഏതു ഉപശേഖരം വേണമെന്നു താങ്കളുടെ
 താല്‍പര്യമനുസരിച്ച്
 തെരഞ്ഞെടുക്കാം}




######################################################################
# document package
package document
######################################################################


#------------------------------------------------------------
# text macros
#------------------------------------------------------------

_texticonopenbookshelf_ [l=ml] {ലൈബ്രറിയുടെ ഈ വിഭാഗം അടയ്‌ക്കുക}  
_texticonclosedbookshelf_ [l=ml] {ഈ ഭാഗം തുറന്നു കാണുക}
_texticonopenbook_ [l=ml] {ഈ പുസ്തകം അടയ്ക്കുക}
_texticonclosedfolder_ [l=ml] {ഈ ഫോള്‍ഡര്‍ തുറയ്‌ക്കുക}  

_texticonopenfolder_ [l=ml] {ഈ ഫോള്‍ഡര്‍ അടയ്‌ക്കുക}  

_texticonsmalltext_ [l=ml] {ഈ ഭാഗം തുറന്നു കാണുക}
_texticonsmalltext2_ [l=ml] {ഈ ഭാഗം തുറന്നു കാണുക}
_texticonpointer_ [l=ml] {ഇപ്പോള്‍ കാണുന്ന ഭാഗം}
_texticondetach_ [l=ml] {ഇത് പുതിയ വിന്‍ഡോയില്‍ തുറക്കുക}



_texticonexpandtoc_ [l=ml] {ഉള്ളടക്കം വിപുലീകരിക്കുക}  
_texticonexpandtext_ [l=ml] {എല്ലാ ടെക്‌സ്‌റ്റും പ്രദര്‍ശിപ്പിക്കുക}  


_texticoncont_ [l=ml] {തുടരണമോ?}  






_textCONTINUE_ [l=ml] {തുടരണമോ}  











_textHIGHLIGHT_ [l=ml] {എടുത്തുകാട്ടല്‍}  








# macros for printing page





######################################################################
# 'search' page
package query
######################################################################


#------------------------------------------------------------
# text macros
#------------------------------------------------------------

# this if statement produces the text 'results n1 - nn for query: querystring' or 
# 'No matches for query: querystring', depending on whether or not there were
# any matches

_textnoquerytitle_ [l=ml] {തെരയുക }

_textsome_ [l=ml] {ചില}
_textall_ [l=ml] {എല്ലാം}
_textboolean_ [l=ml] {ബൂളിയന്‍}
_textranked_ [l=ml] {റാങ്ക് ചെയ്തത്}
_textnatural_ [l=ml] {സ്വാഭാവികം}





#alt text for query buttons

_textfreqmsg1_ [l=ml] {പദഗണനം}


_textstopwordsmsg_ [l=ml] {താഴെ നല്‌കിയ വാക്കുകള്‍ സര്‍വ്വസാധാരണമാകയാല്‍ അവഗണിക്കപ്പെട്ടിരിക്കുന്നു}  




_textnodocs_ [l=ml] {താങ്കളുടെ തിരച്ചില്‍ ഒരു പ്രമാണവുമായും യോജിക്കുന്നില്ല}  
_text1doc_ [l=ml] {ഒരു രേഖ  നിങ്ങളുടെ തിരച്ചിലുമായി  യോജിക്കുന്നു}
_textlotsdocs_ [l=ml] {രേഖകള്‍  നിങ്ങളുടെ തിരച്ചിലുമായി  യോജിക്കുന്നു}

_textbeginsearch_ [l=ml] {തിരഞ്ഞു തുടങ്ങുക}  

_textclearform_ [l=ml] {ഫോം ഇല്ലാതാക്കുക}  

#these go together in form search:
#"Words  (fold, stem)  ... in field"




_textadvquery_ [l=ml] {അല്ലെങ്കില്‍ ചോദ്യം നേരിട്ടു നല്‌കുക}  

_texttextonly_ [l=ml] {ടെക്‌സ്‌റ്റ്‌ മാത്രം}  

_textor_ [l=ml] {അല്ലെങ്കില്‍}  


# _indexselection_, _jselection_, _nselection_ and _gselection_ are set from 
# within the server - _indexselection_ is always set, but the others may be 
# unset

_textsimplesearch_ [l=ml] {_querytypeselection_ വാക്കുകളുള്ള  
ചൂണ്ടുപലകയില്‍ തിരയുക _If_(_jselection_,of _jselection_ )_If_(_gselection_, at _gselection_ level )_If_(_nselection_,in _nselection_ language ) തെരയുക _If_(_sfselection_,\,_allowformbreak_ sorting results by _sfselection_)}  














_textdatesearch_ [l=ml] {ഈ ശേഖരങ്ങള്‍ തീയ്യതിവച്ച്‌ തിരയാം. ഇത്‌ ഇഷ്ടമുണ്ടെങ്കില്‍ ഉപയോഗിക്കാവുന്ന സവിശേഷതയാണ്‌}  
_textstartdate_ [l=ml] {തുടങ്ങുന്ന തീയ്യതി}  
_textenddate_ [l=ml] {അവസാന തീയ്യതി}  








#text macros for search history

_texthresult_ [l=ml] {ഫലം}  
_texthresults_ [l=ml] {റിസള്‍ട്ടുകള്‍}
_texthallwords_ [l=ml] {എല്ലാ}
_texthsomewords_ [l=ml] {ചില }
_texthboolean_ [l=ml] {ബൂളിയന്‍}
_texthranked_ [l=ml] {റാങ്ക്‌ ചെയ്‌തത്‌}  






######################################################################
# 'preferences' page
package preferences
######################################################################


#------------------------------------------------------------
# text macros
#------------------------------------------------------------


_textsetprefs_ [l=ml] {പ്രിഫറന്‍സ് സെറ്റ് ചെയ്യുക}
_textsearchprefs_ [l=ml] {മുന്‍ഗണനാക്രമത്തില്‍ തിരയുക}  
_textcollectionprefs_ [l=ml] {ശേഖരത്തിന്‍റെ പ്രിഫറന്‍സ് }
_textpresentationprefs_ [l=ml] {പ്രസന്‍റേഷന്‍  പ്രിഫറന്‍സ് }
_textpreferences_ [l=ml] {പ്രിഫറന്‍സ് }


_textmatchcase_ [l=ml] {കൃത്യമായി യോജിക്കണം}  
_textwordends_ [l=ml] {വാകൃവസാനം}
_textstem_ [l=ml] {വാകൃവസാനം അവഗണിക്കുക}
_textnostem_ [l=ml] {ഈ പദം തന്നെ യോജിക്കണം }
_textaccentdiffs_ [l=ml] {ഉച്ചാരണ വ്യത്യാസങ്ങള്‍}  
_textignoreaccents_ [l=ml] {ഉന്നല്‍ അവഗണിക്കുക}  


_textprefop_ [l=ml] {ഒരോ പേജിലൂം _hitsperpageoption_   വീതം പരമാവധി  _maxdocoption_ റിസള്‍ട്ടുകള്‍ വരെ കാണിക്കുക.}
_textextlink_ [l=ml] {മറ്റു വെബ്പേജൂകള്‍ കാണിക്കുക}

_textlanguage_ [l=ml] {ഭാഷ}  
_textencoding_ [l=ml] {എന്കോഡിങ്:}
_textformat_ [l=ml] {ഇന്റര്‍ഫേയ്‌സ്‌ ഫോര്‍മാറ്റ്‌}  

_textquerymode_ [l=ml] {ക്വൊറി മോഡ്}
_textsimplemode_ [l=ml] {സാധാരണ ക്വൊറി മോഡ്}
_textadvancedmode_ [l=ml] {അഡ്വാന്‍സ്ഡ്
 ക്വൊറി മോഡ് (ഇവിടെ നിങ്ങള്‍ക്ക് !, &amp;, |, പാരന്തസിസ് എന്നിവ ഉപയോഗിച്ച്
ബൂളിയന്‍ സേര്‍ച്ച് നടത്താം) }

_textlinkdirect_ [l=ml] {നേരിട്ട്‌ അവിടേയ്‌ക്കു പോവുക}  
_textdigitlib_ [l=ml] {ഡിജിറ്റല്‍ ലൈബ്രറി }
_textweb_ [l=ml] {വെബ് }
_textgraphical_ [l=ml] {രേഖാചിത്രരൂപമുള്ള}  
_texttextual_ [l=ml] {ടെക്സ്ച്വല്‍ }
_textcollectionoption_ [l=ml] {ഉപശേഖരങ്ങളില്‍ ഉള്‍പ്പെടുന്നത്‌}  

_textsearchtype_ [l=ml] {ക്വൊറി സ്റ്റൈല്‍}
_textformsearchtype_ [l=ml] {_formnumfieldoption_ ഫീല്‍ഡുകളോടുകൂടിയത്}
_textplainsearchtype_ [l=ml] {_boxsizeoption_ ഉള്ള
 സാധാരണ ക്വൊറി ബോക്സ് }
_textregularbox_ [l=ml] {ഒറ്റവരി}
_textlargebox_ [l=ml] {പല വരികള്‍}

_textrelateddocdisplay_ [l=ml] {ബന്ധപ്പെട്ട പ്രമാണങ്ങള്‍ കാണിക്കുക}  
_textsearchhistory_ [l=ml] {സേര്‍ച്ച് ഹിസ്റ്ററി  }

_texthistorydisplay_ [l=ml] {സേര്‍ച്ച്‌ ഹിസ്റ്ററി റിക്കോര്‍ഡുകല്‍ കാണിക്കുക}  
_textnohistorydisplay_ [l=ml] {സേര്‍ച്ച് ഹിസ്റ്ററി  കാണിക്കരുത്}


#####################################################################
# 'browse' package for the dynamic browsing interface
package browse
#####################################################################




_textdocsperpage_ [l=ml] {ഒരോ പേജിലുമുള്ള പ്രമാണങ്ങള്‍}  




_textwords_ [l=ml] {വാക്കുകളുടെ}  






######################################################################
# 'help' page -- this is lower priority for translating than the
# rest of this file
package help
######################################################################


#------------------------------------------------------------
# text macros
#------------------------------------------------------------

_textHelp_ [l=ml] {വഴികാട്ടി}

# Macros giving a brief help message for navigation bar access buttons
# The arguments to this will be _textXXX_ and _labelXXX_, where XXX is the metadata name. For example, to print out the help message for a titles classifier, the library will use _textdefaulthelp_(_textTitle_,_labelTitle_)
# To customize this for a specific metadata, add a macro named _textXXXhelp_ where XXX is the metadata name
_textdefaulthelp_ [l=ml] {_2_ ബട്ടണ്‍ ഉപയോഗിച്ച് _1_ വഴി രേഖകള്‍ ബ്രൗസ് ചെയ്യുക }

_textSearchhelp_ [l=ml] {നിങ്ങളുദ്ദേശിക്കുന്ന വാക്ക് പാഠത്തിലുണ്ടോ എന്നറിയാന്‍ 

_labelSearch_ ബട്ടണ്‍ ഉപയോഗിച്ച് തെരയുക}
_textTohelp_ [l=ml] {ബട്ടണ്‍ ക്ലിക്‌ ചെയ്‌ത്‌ ഗ്രന്ഥങ്ങള്‍ തിരയാം}  





_texthelptopicstitle_ [l=ml] {വിഷയങ്ങള്‍}  

_textreadingdocs_ [l=ml] {പ്രമാണങ്ങള്‍ എങ്ങിനെ വായിക്കാം}  

_texthelpreadingdocs_ [l=ml] {ചിലശേഖരങ്ങളില്‍ പുസ്‌തകത്തിന്റെ ഉള്ളക്കം കാണാം. മറ്റുചിലതില്‍ പേജ്‌ നമ്പറുകളും അതോടൊപ്പം ഒരു പുതിയ പേജ്‌ തിരഞ്ഞെടുക്കാനുള്ള ഒരു കള്ളിയും കാണാം. അവിടെനിന്നും മുമ്പോട്ടും പിന്നോട്ടുമുള്ള പേജുകളിലേയ്‌ക്ക്‌ പോകാം. ഗ്രന്ഥത്തിന്റെ ഉള്ളടക്കം ഉണ്ടെങ്കില്‍, പ്രദര്‍ശിപ്പിക്കപ്പെടുന്ന ഭാഗം കുടുതല്‍ കറുപ്പുനിറത്തില്‍ കാണാം. അതു വികസിപ്പിക്കാനും ചുരുക്കാനും കഴിയും. ഫോള്‍ഡറുകളില്‍ ക്ലിക്കുചെയ്‌താല്‍ അതു വികസിപ്പിക്കുവാനും സങ്കോചിപ്പിക്കുവാനും കഴിയും. 
 
ഇപ്പോള്‍ കാണുന്ന ഗ്രന്ഥത്തിന്റെ ഭാഗം ഉള്ളടക്കത്തിന്റെ താഴെ കാണാം. അതു വായിച്ചുകഴിഞ്ഞാല്‍ മുന്‍പോട്ടും പിന്നോട്ടും പോകുന്ന സൂചകങ്ങള്‍ അടുത്ത ഭാഗങ്ങളിലേയ്‌ക്ക്‌ നയിക്കും 
കവര്‍ ചിത്രത്തിനു താഴെ ചില ബട്ടണുകള്‍ കാണാം. ................. അമര്‍ത്തിയാല്‍ ഗ്രന്ഥത്തിന്റെ ടെക്‌സ്‌റ്റ്‌ പൂര്‍ണമായി കാണാം. ഗ്രന്ഥം വളരെ വലുതാണെങ്കില്‍ അതു തുറന്നുവരാന്‍ കൂടുതല്‍ സമയം എടുക്കും. കൂടുതല്‍ കംപ്യൂട്ടര്‍ മെമ്മറിയും ഉപയോഗിക്കപ്പെടും. .............. ക്ലിക്കുചെയ്‌താല്‍ എല്ലാ അദ്ധ്യായങ്ങളുടേയും തലക്കെട്ടുകള്‍ കാണുംവിധം ഉള്ളടക്കം വികസിതമാകും.}  

# help about the icons



_texthelpexpandtext_ [l=ml] {ടെക്‌സ്റ്റ്‌ പൂര്‍ണമായി കാണിക്കണം / കാണിക്കേണ്ട}  

_texthelpdetachpage_ [l=ml] {ഈ പേജ്‌ ഒരു പുതിയ ജാലകത്തില്‍ കാണുക}  




_texthelpsearchingtitle_ [l=ml] {പ്രത്യേക വാക്കുകള്‍ക്ക്‌ എങ്ങിനെ തിരയാം}  

_texthelpsearching_ [l=ml] {തിരച്ചില്‍ പേജില്‍ നിന്നും താങ്കള്‍ക്ക്‌ താഴെപറയുന്ന പ്രകാരം ലളിതമായ ഒരു തിരച്ചില്‍ നടത്താവുന്നതാണ്‌ 
 
...........ഇനങ്ങളാണ്‌ തിരയേണ്ടുന്നതെന്നു വ്യക്തമാക്കുക 
 
........എല്ലാ വാക്കുകള്‍ക്കും വേണ്ടിയോ അതോ ചില വാക്കുകള്‍ക്കുവേണ്ടിയോ എന്നു നിശ്ചയിക്കുക 
 
...... താങ്കള്‍ക്കു തിരയേണ്ട വാക്കുകള്‍ ടൈപ്പുചെയ്യുക 
 
....... തിരച്ചില്‍ തുടങ്ങുക............ എന്ന ബട്ടണ്‍ അമര്‍ത്തുക 
}  

_texthelpquerytermstitle_ [l=ml] {തിരച്ചില്‍ പദങ്ങള്‍}  


_texthelpmgppsearching_ [l=ml] {എംജിപിപി ഉപയോഗിച്ചു നിര്‍മ്മിച്ച ശേഖരങ്ങളില്‍ മറ്റുചില സാദ്ധ്യതകള്‍ ഉണ്ട്‌്‌.  
സംശയപദത്തിന്റെ ഒടുവില്‍ ആ അക്ഷരങ്ങളില്‍ തുടങ്ങുന്ന മുഴുവന്‍ പദങ്ങളും പ്രത്യക്ഷമാവുന്നു 
സംശയപദങ്ങളില്‍ ഏതെങ്കിലും ഒന്നിനോ കൂടുതലിനോ അധികപ്രാധാന്യം കൊടുക്കാവുന്നതുമാണ്‌. ഉദാഹരണമായി .കംപ്യൂട്ടര്‍/10 സയന്‍സ്‌ എന്നു കൊടുത്താല്‍ സയന്‍സിനെക്കാളും 10 ഇരട്ടി പ്രാധാന്യം കംപ്യൂട്ടറിന്‌ ലഭിക്കുന്നു.}  

_texthelplucenesearching_ [l=ml] {ലൂസിനേ ഉപയോഗിച്ചു നിര്‍മ്മിച്ച ശേഖരങ്ങളില്‍ ചില സാദ്ധ്യതകള്‍ ഉണ്ട്‌

ഒരു അക്ഷരത്തിന്‌ പകരമായി തുരുപ്പിറക്കി നോക്കാവുന്നതാണ്‌. ഉപയോഗിക്കാം. ഉദാഹരണത്തിന്‌ 
<ക> ? <ല> എന്നത്‌ 'ട' എത്തിച്ച്‌ 'കടല' യിലേക്കോ 'കമല' യിലേക്കോ എത്തിക്കും. .ഒന്നിലധികം അക്ഷരങ്ങള്‍ക്ക്‌ പകരമായും ഇതേ നമ്പരിറക്കാം. ഉദാഹരണത്തിന്‌ 'കംപ്യൂ' എന്നുകൊടുത്താല്‍ 'കംപ്യൂ' വില്‍ തുടങ്ങി സകലപദങ്ങളും വ്യക്തമാവും. ഈയൊരു തിരച്ചില്‍ രീതി വാക്കിനിടയിലും ശേഷവും ഉപയോഗിക്കാം. പക്ഷേ വാക്കിനുമുമ്പില്‍ ഉപയോഗിക്കാനാവില്ല.
}  










_texthelpbooleansearch_ [l=ml] {ഒരു ബൂലിയന്‍ അന്വേഷണം താങ്കള്‍ക്ക്‌ പദങ്ങള്‍ തമ്മില്‍ @,I, ! എന്നിവ ഉപയോഗിച്ചും ബ്രാക്കറ്റിനുള്ളില്‍ ഉള്‍പ്പെടുത്തിയും തിരയാന്‍ സഹായിക്കും. ഉദാഹരണത്തിന്‌ വനനശീകരണവും പരിസ്ഥിതി വിനാശവും എന്നതാണ്‌ ഉപയോഗിക്കുന്നതെങ്കിലും രണ്ടു പദങ്ങളും സംബന്ധിച്ച രേഖകളും വനനശീകരണവും I പരിസ്ഥിതി വിനാശവും എന്നാണെങ്കില്‍ അവയില്‍ ഏതെങ്കിലും ഒന്നിനെ സംബന്ധിവയും വനനശീകരണവും ! പരിസ്ഥിതിവിനാശവും ആണെങ്കില്‍ ഒന്നാമത്തേത്‌ ഉള്ളതും രണ്ടാമത്തേത്‌ ഇല്ലാത്തതുമായ രേഖകളുമായിരിക്കും ലഭിക്കുക. ഈ ബൂലിയന്‍ ഓപ്പറേറ്റേഴ്‌സിന്റെ കൂട്ടായ ഉപയോഗം മൂലം കൂടുതല്‍ ഫലവത്തായ അന്വേഷണം നടത്താന്‍ കഴിയും}  



























_texthelpcollectionprefstitle_ [l=ml] {ശേഖരസംബന്ധ മുന്‍ഗണനകള്‍}  


_texthelplanguageprefstitle_ [l=ml] {ഭാഷാമുന്‍ഗണന}  


_texthelppresentationprefstitle_ [l=ml] {പ്രദര്‍ശിപ്പിക്കുന്നതിലെ മുന്‍ഗണന}  







_textaccentfoldprefs_ [l=ml] {തിരയമ്പോള്‍ ഉച്ചാരണചിഹ്നം ഉള്ളതും ഇല്ലാത്തതും തമ്മില്‍ യോജിക്കണമോ എന്നു നിര്‍ണയിക്കുന്നത്‌ ...............ആണ്‌. രണ്ടും യോജിക്കണമെങ്കില്‍ അതു തിരഞ്ഞെടുക്കുക }  
 




_textsearchtypeprefsform_ [l=ml] {തിരച്ചില്‍ ഫോമിലെ ഘടകങ്ങളില്‍ മാറ്റം വരുത്താം}  

_textsearchtypeprefsboth_ [l=ml] {താങ്കള്‍ക്ക്‌ സാധാരണ തിരച്ചിലോ ഫീല്‍ഡ്‌ അടിസ്ഥാനത്തിലുള്ള തിരച്ചിലോ നടത്താവുന്നതാണ്‌

സാധാരണ തിരച്ചിലില്‍ ഒരു കള്ളിയേ ഉണ്ടാകൂ. ഫീല്‍ഡ്‌ അടിസ്ഥാനത്തിലുള്ള തിരിച്ചിലില്‍ കുറെ കള്ളികള്‍ കാണും. ഓരോ കള്ളിയും ഒരു പ്രത്യേക ഫീല്‍ഡിനെ സൂചിപ്പിക്കുന്നു. ഒരു വ്യത്യസ്‌ത ഫീല്‍ഡുകള്‍ ഒറ്റയടിക്കു തിരയാന്‍ സഹായിക്കുന്നു}  



_texttanumbrowseoptions_ [l=ml] {..........വഴികളിലൂടെ .....ശേഖരത്തില്‍ നിന്നുവിവരങ്ങള്‍ കണ്ടെത്താം}  

_textsimplehelpheading_ [l=ml] {_collectionname_ ശേഖരത്തില്‍ നിന്ന് എങ്ങനെ വിവരങ്ങള്‍ കണ്ടെത്താം}


_texthelpscope_ [l=ml] {മിക്കശേഖരങ്ങളില്‍ തിരയാനുള്ള വ്യത്യസ്‌ത സൂചികകള്‍ ഉണ്ടാകും. ഉദാഹരണത്തിന്‌ ഗ്രന്ഥകര്‍ത്താവ്‌, ശിര്‍ഷകം എന്നിവയുടെ അടിസ്ഥാനത്തിലുള്ളവ ഉണ്ടാകും. അദ്ധ്യായങ്ങളും ഖണ്ഡികകളും അടിസ്ഥാനപ്പെടുത്തിയവ ഉണ്ടാകും. ഏതു സൂചിക തിരഞ്ഞാലും കൃത്യമായി യോജിക്കുന്ന രേഖകള്‍ ആയിരിക്കും തിരച്ചിലില്‍ ലഭിക്കുക 
 
പ്രമാണങ്ങള്‍ പുസ്‌തകങ്ങളാണെങ്കില്‍ അവ ഉചിതസ്ഥാനത്ത്‌ തുറക്കുകയും ചെയ്യും. }  
